lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'dsc/version'

Gem::Specification.new do |spec|
  spec.name          = "dsc"
  spec.version       = Dsc::VERSION
  spec.authors       = ["Johannes Barre", "Alexey Fedorov"]
  spec.email         = ["johannes.barre@wimdu.com", "alexey.fedorov@wimdu.com"]
  spec.summary       = %q{Dead Simple Configuration - made to be used by monkeys}
  spec.description   = %q{Read configuration from a YAML/JSON file and expose the keys as methods}
  spec.homepage      = "https://github.com/wimdu/dsc"
  spec.license       = "MIT"

  spec.files         = `git ls-files -z`.split("\x0")
  spec.executables   = spec.files.grep(%r{^bin/}) { |f| File.basename(f) }
  spec.test_files    = spec.files.grep(%r{^(test|spec|features)/})
  spec.require_paths = ["lib"]

  spec.required_ruby_version = '>= 2.0'

  spec.add_dependency "hashie", "~> 3.0"
  spec.add_development_dependency "bundler", "~> 1.6"
  spec.add_development_dependency "rake", "~> 10.0"
  spec.add_development_dependency "rspec", "~> 3.1"
end
